import java.io.*;
import java.util.*;

public class sol_zhuplev implements Runnable{

  private Scanner in;
  private PrintWriter out;

  public void run(){
    try{
      solve();
    }catch(IOException e){
      e.printStackTrace();
      System.exit(1);
    }
  }

  private int NOD(int a, int b){
    if(b == 0){
      return a;
    }else{
      return NOD(b, a % b);
    }
  }

  private void solve() throws IOException{
    in = new Scanner(new FileReader("input.txt"));
    out = new PrintWriter("output.txt");
    int n = in.nextInt();
    int a[] = new int[n];
    for(int i = 0; i < n; i++){
      a[i] = in.nextInt();
    }
    int ans = 0;
    for(int i = 1; i < n; i++){
      ans = NOD(ans, Math.abs(a[i] - a[i-1]));
    }
    if(ans == 0) ans = a[0];
    out.println(ans);
    in.close();
    out.close();
  }

  public static void main(String[] args){
    new Thread(new sol_zhuplev()).start();
  }
}
